package sklep.soap;

import java.util.List;

import javax.jws.WebResult;
import javax.jws.WebService;

import sklep.db.DBConnection;
import sklep.db.DBException;
import sklep.db.ProductDAO;
import sklep.model.Product;

@WebService
public class Sklep {
	@WebResult(name="product")
	public List<Product> readAllProducts() throws DBException {
		try (DBConnection db = DBConnection.open()) {
			ProductDAO productDAO = db.productDAO();
			return productDAO.readAll();
		}
	}
	
	// W klasie ProductDAO znajdują się metody służące do odczytu 1 produktu wg id
	// oraz listy produktów dla podanego zakresu cen
	// TODO - utwórz analogiczne metody w tym weserwisie
	
	// TODO 2 - metoda, która pozwala zapisać na serwerze przesłany Product
	

}
